/*
    tlshandler.h - Kopete Groupwise Protocol
      
    Copyright (c) 2004      SUSE Linux AG	 	 http://www.suse.com
    
    Based on Iris, Copyright (C) 2003  Justin Karneges
    
    Kopete (c) 2002-2004 by the Kopete developers <kopete-devel@kde.org>
 
    *************************************************************************
    *                                                                       *
    * This library is free software; you can redistribute it and/or         *
    * modify it under the terms of the GNU Lesser General Public            *
    * License as published by the Free Software Foundation; either          *
    * version 2 of the License, or (at your option) any later version.      *
    *                                                                       *
    *************************************************************************
*/
  
#ifndef GWTLSHANDLER_H
#define GWTLSHANDLER_H

#include <tqobject.h>
//#include <tqstring.h>
//#include <tqhostaddress.h>
//#include <tqstring.h>
//#include <tqcstring.h>
//#include <tqxml.h>
//#include <tqdom.h>
 
class TLSHandler : public TQObject
{
	Q_OBJECT
  
public:
	TLSHandler(TQObject *parent=0);
	virtual ~TLSHandler();

	virtual void reset()=0;
	virtual void startClient(const TQString &host)=0;
	virtual void write(const TQByteArray &a)=0;
	virtual void writeIncoming(const TQByteArray &a)=0;

signals:
	void success();
	void fail();
	void closed();
	void readyRead(const TQByteArray &a);
	void readyReadOutgoing(const TQByteArray &a, int plainBytes);
};

#endif
